org.apache.cassandra.db

## Class Row

- java.lang.Object
- - org.apache.cassandra.db.Row

    public class Row
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Row.RowSerializer`

### Field Summary

Fields
`ColumnFamily` `cf`
`DecoratedKey` `key`
`static Row.RowSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`Row(java.nio.ByteBuffer key, ColumnFamily updates)`
`Row(DecoratedKey key, ColumnFamily cf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLiveCount(IDiskAtomFilter filter, long now)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final Row.RowSerializer serializer

#### key

    public final DecoratedKey key

#### cf

    public final ColumnFamily cf

### Constructor Detail

#### Row

    public Row(DecoratedKey key,
               ColumnFamily cf)

#### Row

    public Row(java.nio.ByteBuffer key,
               ColumnFamily updates)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getLiveCount

    public int getLiveCount(IDiskAtomFilter filter,
                            long now)